Mahsulot xususiyatlari
GET
/v2/product-characteristic
const url = 'https://api-admin.billz.ai/v2/product-characteristic?limit=1000&page=1&is_deleted=false&show_visible_when_deleted=false';const options = { method: 'GET', headers: { 'accept-language': 'ru', 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v2/product-characteristic?limit=1000&page=1&is_deleted=false&show_visible_when_deleted=false' \ --header 'Authorization: Bearer <token>' \ --header 'accept-language: ru' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.
Authorizations
“Authorizations” bo'limiParameters
“Parameters” bo'limiQuery Parameters
“Query Parameters” bo'limilimit
integer format: int32
Raqam bo’lmagan — 400
Example
1000page
integer format: int32
Raqam bo’lmagan -> 400 + 500
search
string
Qidiruv
is_deleted
boolean
Yaroqsiz qiymat — 400
show_visible_when_deleted
boolean
Header Parameters
“Header Parameters” bo'limiaccept-language
string
Ru|uz|en, boshqasi -> ru
platform-id
string
Platforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.
Responses
“Responses” bo'limiMuvaffaqiyatli javob
Media typeapplication/json
object
product_characteristics
Array<object>
object
id
string
company_id
string
name
Accept-Language bo’yicha lokalizatsiya qilinadi
string
system_name
string
is_editable
boolean
visible_when_deleted
boolean
is_deletable
boolean
is_dynamic
boolean
type
string
deleted_at
integer format: int64
active_count
Faol xususiyatlar soni
integer format: int32
deleted_count
O’chirilgan xususiyatlar soni
integer format: int32
Examplegenerated
{ "product_characteristics": [ { "id": "example", "company_id": "example", "name": "example", "system_name": "example", "is_editable": true, "visible_when_deleted": true, "is_deletable": true, "is_dynamic": true, "type": "example", "deleted_at": 1 } ], "active_count": 1, "deleted_count": 1}